package Common.Passes;
import Common.Database.Database;
import Common.Database.Objects.DBObject;
import Common.Database.Tables.DBTable;
import Common.MainModule_;

import java.util.Vector;
//массовый проход с объектами. на данный момент удаление.
public abstract class ObjectsPass<D extends DBObject> extends Pass<Vector<D>> {
    protected Class<D> d; //класс объектов.
    public ObjectsPass(Class<D> d_in) {
        d = d_in;
    }
    protected Database getDb() {
        return MainModule_.instance.getDb();
    }
    public DBTable getTable() {
        return getDb().getTable(d);
    } //таблица в источнике данных
    @Override
    public String getButtonText() {
        return "";
    }
    public String getDescription_() {
        return "?";
    }
    @Override
    public String getDescription() {
        return getTable().getPluralDescription() + ": " + getDescription_();
    }
}